Package org.zkoss.stateless.sul

## Interface IHeadersElement<I extends IHeadersElement>

- All Superinterfaces:
    `IComponent<I>`, `IHtmlBasedComponent<I>`, `IXulElement<I>`
  All Known Subinterfaces:
    `IColumns`, `IListhead`, `ITreecols`

      public interface IHeadersElement<I extends IHeadersElement>
      extends IXulElement<I>

  A skeletal implementation for headers, the parent of a group of `IHeaderElement`.

  ### Support @Action

  Name | Action Type
  --- | ---
  onColSize | ActionData: `ColSizeData` Denotes user has resized one of the columns.

  Author:
    jumperchen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default boolean` | `isSizable()` | Returns whether the width of the child column is sizable.
    `I` | `withSizable​(boolean sizable)` | Returns a copy of `this` immutable component with the specified `sizable`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetClass, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Method Detail

    - #### isSizable

          default boolean isSizable()

      Returns whether the width of the child column is sizable.

    - #### withSizable

          I withSizable​(boolean sizable)

      Returns a copy of `this` immutable component with the specified `sizable`.

      Sets whether the width of the child column is sizable. If true, a user can drag the border between two columns (e.g., `IColumn`) to change the widths of adjacent columns.

      Parameters:
        `sizable` - Whether the width of the child column is sizable.

        Default: `false`.

      Returns:
        A modified copy of the `this` object